Subject: CPIC changes for use of distributed directory

From: "Mel Jones (Tie: 444-4363)" <[email-masked]>
Date: Fri, 22 Oct 93 15:59:45 EDT

New draft of AP-Proposal

All:

I've placed a new draft of the AP-level proposal for CPIC use of
distributed directory out on the server -- the name is

           /ciw/sig/dir/dirchg.ps

Please return review comments and objections to AP status by 11/5.

A complete list of doc changes is included at the bottom of this
note, but the biggest change is a new 17-page section at the
front of the document that provides tutorial information on
distributed directories and the proposal in general.  This should
make it easier to read/understand than the previous document,
which was a listing of specific AP changes for the CPIC document.
It will also give us all a common terminology and base  for
discussing additions/changes to the proposal.

The schedule I'd like to follow for this document, if possible,
is to get all issues ironed out within the directory sig by 11/5
(two weeks from today) with agreement that the document is ready
for AP.  Please send specific objections (and request-for-changes
and additions in order to achieve AP) by that date.  This gives a
week for updates and modifications, followed by re-distribution
of an updated copy by 11/15 -- allowing another two weeks for
review before the December CIW.

Remaining (Known) Work Items
- - - - - - - - - - - - - - -
The doc contains the two new parms I discussed in last week's
note (directory_syntax and directory_encoding), but hasn't yet
been updated to deal with Jeff Hildebrand's proposed partial DN
and object_IDs.  Jeff and I have had several phone discussions
this week on those subjects and we hope to get something sent out
to the SIG next week.  Some of the intro stuff at the front
of the paper has been *specifically* added to give us the framework
for SIG discussion of partial DNs and object_IDs.  Please review the
intro material carefully -- additions and suggestions for change
are welcome.

Regards,
Mel Jones

- - - - - detailed list of changes to document since Aug/93 draft ---

o  Added "introductory/background" information at front of
   document.  This information is not required for AP (i.e., it is
   not change-page information), but is background for understanding
   and discussion of the complete proposal.

o  Added implementers note on what services CPIC expects from the
   Directory User Agent.  This info is at a conceptual level, not at
   a specific call/parm/syntax/return-code level.  This generic section
   should be seen as requirement; the DCE appendix should be seen as the
   specific implementation of the requirement for one particular type of
   directory.

o  Clarified CPIC use of directory and interaction with secondary information
   proposal.

   -   Specified a mapping from the primary return code
       errors and conditions to the secondary information field
       (which would contain specific DUA info).

o  Added 2 new parms for directory syntax (formerly namespace) and encoding

   -   changes throughout document.  See 10/15/93 note for background info.

o  Updated DCE appendix for new objects and DSNS

   -   Modified to make clear that these are extensions for DCE only

o  Clarified Extract_Binding action in Reset state

   -   Copied secondary-return code proposal verbiage about c_id and
       Extract_Binding being valid for limited time in reset state (to
       extract Binding that failed on Allocate).  If available, CPIC returns
       last binding.  Also clarified action if too-small buffer is provided.

o  Removed duplicate prose in AP draft (e.g., chap2 info that is now in
   complete AP draft)

o  Clarified that PFID is actually a limited-form of attribute-type search
   (for the specific attribute-type of a PFID).

o  Added general editorial changes (D. Prevost) throughout AP-changes section.

o  Modified wording on random selection of hits to allow CPIC to
   do optimum route selection, where possible.

o  Clarified binding order, size of DN and PFID

o  Reworked text on PFID to provider clearer sample algorithms for PFID
   assignment.  Added PFID figure to clarify meaning/use of PFID.

- - - - - - - - end of change-list - - - - - - - - - - - - - - -